Subject: Re: All I wanted was git-fast-export

From: Paul Gardiner <[email-masked]>
Date: Sun, 10 Feb 2008 10:07:24 +0000

Johannes Schindelin wrote:
> Hi,
> 
> On Sat, 9 Feb 2008, Paul Gardiner wrote:
> 
>> Johannes Schindelin wrote:
>>
>>> On Sat, 9 Feb 2008, Paul Gardiner wrote:
>>>
>>>> With your kind help, I've been able to convert a cvs repository to 
>>>> git, but the last several years commits start with a line saying 
>>>> "Summary;" :-( I thought it might not be hard to put a filter 
>>>> between git-fast-export and git-fast-import to sort it out.
>>> The better tool for this should be filter-branch.
>> filter-branch does look to be brilliant for this sort of thing,
>> but I don't think I can use it in my case.
> 
> I beg to differ.  filter-branch does exactly the same as the fast-export | 
> filter | fast-import you prosed does: it rewrites history.
> 
> The thing is, filter-branch was _written for this purpose_.  So if you 
> know what commit you rewrote last, you can make the process faster/safer 
> by issuing
> 
> 	$ git filter-branch --msg-filter="<blabla>" <old-commit>..master

That does look just what I need, but did you see the reason I thought I
couldn't use it? I need to repeatedly sync the git repository from a
live cvs repository, and repeatedly filter the new commit messages.
I'd imagined that filtering the commit messages will mess up subsequent
syncing. That's why I thought I'd need a chaing of repositories

cvs => git => tiedied git

What do you think?

> There's also a further upside to filter-branch: at least until recently, 
> it did not use any special features of newer git, but could be extracted 
> (e.g. via gitweb) and used with older git (any git >= 1.5.3 should do, 
> maybe even older ones).
> 
> Hth,
> Dscho
> 
> P.S.: but you seem to be dead-set to upgrade.  No problem for me: just go 
> ahead and do what you must.

God no, not if I can help it. I've been performing surgery on my
packages over the last couple of days, and I'm sure the whole
system is going to fall over any minute. I'd love to be able to
use the version I have. It's 1.5.2.4 Is filter-branch likely to work
with that?

P.